Xmodules not being installed using the linux-v202103.AppImage on Ubuntu 16.04

Followed the steps outlined in https://ui.vision/rpa/x/download
Using RPA 6.2.2 on Mozilla Firefox

I don’t think 16.04 is supported. Can you test 18.04 or 20.04? Both work for me (I never tested on 16.04).